# ucs_mac_pool – Configures MAC address pools on Cisco UCS Manager

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Configures MAC address pools and MAC address blocks on Cisco UCS Manager.

- Examples can be used with the UCS Platform Emulator https://communities.cisco.com/ucspe.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | A description of the MAC pool. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr, descrption
first_addr - |  | The first MAC address in the block of addresses. This is the From field in the UCS Manager MAC Blocks menu.
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
last_addr - |  | The last MAC address in the block of addresses. This is the To field in the UCS Manager Add MAC Blocks menu.
name - / required |  | The name of the MAC pool. This name can be between 1 and 32 alphanumeric characters. You cannot use spaces or any special characters other than - (hyphen), "_" (underscore), : (colon), and . (period). You cannot change this name after the MAC pool is created.

order
-

Choices:
- default ←
- sequential

The Assignment Order field.
This can be one of the following:
default - Cisco UCS Manager selects a random identity from the pool.
sequential - Cisco UCS Manager selects the lowest available identity from the pool.

org_dn - | Default: "org-root" | The distinguished name (dn) of the organization where the resource is assigned.
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'

state
-

Choices:
- present ←
- absent

If `present`, will verify MAC pool is present and will create if needed.
If `absent`, will verify MAC pool is absent and will delete if needed.

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, will not use the proxy as defined by system environment variable.

use_ssl
boolean

Choices:
- no
- yes ←

If `no`, an HTTP connection will be used instead of the default HTTPS connection.

username string | Default: "admin" | Username for Cisco UCS Manager authentication.

## Examples

    - name: Configure MAC address pool
      ucs_mac_pool:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: mac-A
        first_addr: 00:25:B5:00:66:00
        last_addr: 00:25:B5:00:67:F3
        order: sequential

    - name: Remove MAC address pool
      ucs_mac_pool:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: mac-A
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- David Soper (@dsoper2)

- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.